#include <gtk/gtk.h>

int 
main (int argc, char **argv)
{

    /* Initialize the widget set */
    gtk_init (&argc, &argv);

    /* Create the main window */
    GtkWidget *mainwin = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_window_set_default_size(
            GTK_WINDOW (mainwin),
            150,
            75);

    /* Set up our GUI elements */
    /*
     * My custom dialog with custom set title
     * and ok button not to GTK_RESPONSE_ACCEPT
     */
    GtkWidget *dialog = gtk_file_chooser_dialog_new(
            "Totally undefault title",
            NULL,
            GTK_FILE_CHOOSER_ACTION_OPEN,
            GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
            GTK_STOCK_OK, GTK_RESPONSE_OK,  // This response breaks the default 
                                            // behaviour - the button doesn't
                                            // show the loaded file as it's
                                            // label. GTK_RESPONSE_ACCEPT
                                            // is needed.
            NULL);

    GtkWidget* button = gtk_file_chooser_button_new_with_dialog(
                dialog);
    gtk_container_add(GTK_CONTAINER (mainwin), button);

    g_signal_connect(mainwin,
            "destroy",
            gtk_main_quit,
            NULL);

    /* Show the application window */
    gtk_widget_show_all (mainwin);

    /* Enter the main event loop, and wait for user
     * interaction */
    gtk_main ();

    /* The user lost interest */
    return 0;

}
